/*
 * This ESP8266 NodeMCU code was developed by newbiely.com
 *
 * This ESP8266 NodeMCU code is made available for public use without any restriction
 *
 * For comprehensive instructions and wiring diagrams, please visit:
 * https://newbiely.com/tutorials/esp8266/esp8266-control-led-via-bluetooth
 */

#include <SoftwareSerial.h>
#define SOFT_RX 5  // The ESP8266 pin connected to the TX of the bluetooth module
#define SOFT_TX 4  // The ESP8266 pin connected to the RX of the bluetooth module
#define LED1_PIN 0
#define LED2_PIN 2

SoftwareSerial bluetooth(SOFT_RX, SOFT_TX);

void setup() {
  Serial.begin(9600);
  bluetooth.begin(9600);
  pinMode(LED1_PIN, OUTPUT); // Configure the ESP8266 pin as a digital output pin
  pinMode(LED2_PIN, OUTPUT);
}

void loop() {
  if (bluetooth.available())  { // if there is data comming
    String command = bluetooth.readStringUntil('\n'); // read string until meet newline character

    if ((command == "1 OFF") || (command == "1 off")){
      digitalWrite(LED1_PIN, LOW);  // turn off LED
      bluetooth.println("LED1 is turned OFF"); // reports action to smartphone app
      Serial.print("LED1 is turned OFF");
    } else if ((command == "1 ON") || (command == "1 on")) {
      digitalWrite(LED1_PIN, HIGH); // turn on LED
      bluetooth.println("LED1 is turned ON"); // reports action to smartphone app
      Serial.print("LED1 is turned ON");
    }
    if ((command == "2 OFF") || (command == "2 off")){
      digitalWrite(LED2_PIN, LOW);  // turn off LED
      bluetooth.println("LED2 is turned OFF"); // reports action to smartphone app
      Serial.print("LED2 is turned OFF");
    } else if ((command == "2 ON") || (command == "2 on")) {
      digitalWrite(LED2_PIN, HIGH); // turn on LED
      bluetooth.println("LED2 is turned ON"); // reports action to smartphone app
      Serial.print("LED2 is turned ON");
    }
    if ((command == "12 OFF") || (command == "12 off")){
      digitalWrite(LED1_PIN, LOW);
      digitalWrite(LED2_PIN, LOW);     
      bluetooth.println("LED1/2 are turned OFF"); // reports action to smartphone app
      Serial.print("LED1/2 are turned OFF");
    } else if ((command == "12 ON") || (command == "12 on")) {
      digitalWrite(LED1_PIN, HIGH);
      digitalWrite(LED2_PIN, HIGH);      
      bluetooth.println("LED1/2 are turned ON"); // reports action to smartphone app
      Serial.print("LED1/2 are turned ON");
    }
     if ((command == "12 SOFF") || (command == "12 soff")){
      digitalWrite(LED2_PIN, LOW);  
      delay(250);   
      digitalWrite(LED1_PIN, LOW);  // turn off LED
      bluetooth.println("LED1/2 are turned OFF"); // reports action to smartphone app
      Serial.print("LED1/2 are turned OFF");
    } else if ((command == "12 SON") || (command == "12 son")) {
      digitalWrite(LED1_PIN, HIGH);
      delay(250);
      digitalWrite(LED2_PIN, HIGH);
      bluetooth.println("LED1/2 are turned ON"); // reports action to smartphone app
      Serial.print("LED1/2 are turned ON");
    }
  }
}
